import { Controller } from "@hotwired/stimulus"

export default class extends Controller {
  static targets = [ "mobileMenu" ];

  toggleMenu() {
    const menu = this.mobileMenuTarget;
    if (menu.classList.contains('hidden')) {
      menu.classList.remove('hidden');
      menu.classList.remove('motion-safe:animate-slideOut');
      menu.classList.add('motion-safe:animate-slideIn');
    } else {
      menu.classList.remove('motion-safe:animate-slideIn');
      menu.classList.add('motion-safe:animate-slideOut');
      setTimeout(() => { menu.classList.add('hidden'); },
        window.matchMedia("(prefers-reduced-motion: reduce)").matches ?
          0 : 300); // Should match the duration in tailwind.config.js
    }
  }
}
